package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;

import cn.net.caoyao.cpzshandset.common.config.Config;

/**
 * 汽车发运单
 * 
 * @author echo
 *
 */
public class TruckInvoiceBean implements Serializable {
	private int id;// 主键
	private String responsiblePersonId;//责任人
	private String truckno;// 车牌号
	private String drivername;// 司机名称
	private String driverphone;// 司机电话
	private String orderno;// 订单号
	private int startingstation;// 始发站
	private int terminalstation;// 终点站
	private int consigneeId;//收货人
	private String timestamp;// 时间戳
	private int labelMode;// 1:加法操作  -1:减法操作
	private int status = Config.SUBMIT_STATUS_NOT_SUBMIT;// 0:未提交 1:提交失败
	private int error_code = 0;// 服务器返回的错误码
	private String expand1;
	private String expand2;
	private String gruopInfo;//班组信息
	private int terminalStationCode;//收货地区的Code码
	private String detailAddress;//收货地址的详细地址
	private String consignee;//收货单位
	private int option_mode;//操作方式   0：单标发货   1：托盘发货
	

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}
	
	public String getResponsiblePersonId() {
		return responsiblePersonId;
	}
	public void setResponsiblePersonId(String responsiblePersonId) {
		this.responsiblePersonId = responsiblePersonId;
	}

	public String getTruckno() {
		return truckno;
	}

	public void setTruckno(String truckno) {
		this.truckno = truckno;
	}

	public String getDrivername() {
		return drivername;
	}

	public void setDrivername(String drivername) {
		this.drivername = drivername;
	}

	public String getDriverphone() {
		return driverphone;
	}

	public void setDriverphone(String driverphone) {
		this.driverphone = driverphone;
	}

	public String getOrderno() {
		return orderno;
	}

	public void setOrderno(String orderno) {
		this.orderno = orderno;
	}

	public int getStartingstation() {
		return startingstation;
	}

	public void setStartingstation(int startingstation) {
		this.startingstation = startingstation;
	}

	public int getTerminalstation() {
		return terminalstation;
	}

	public void setTerminalstation(int terminalstation) {
		this.terminalstation = terminalstation;
	}

	public String getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public int getLabelMode() {
		return labelMode;
	}

	public void setLabelMode(int labelMode) {
		this.labelMode = labelMode;
	}

	public String getExpand1() {
		return expand1;
	}

	public void setExpand1(String expand1) {
		this.expand1 = expand1;
	}

	public String getExpand2() {
		return expand2;
	}

	public void setExpand2(String expand2) {
		this.expand2 = expand2;
	}

	public int getError_code() {
		return error_code;
	}

	public void setError_code(int error_code) {
		this.error_code = error_code;
	}
	public int getConsigneeId() {
		return consigneeId;
	}
	public void setConsigneeId(int consigneeId) {
		this.consigneeId = consigneeId;
	}
	

	public String getGruopInfo() {
		return gruopInfo;
	}

	public void setGruopInfo(String gruopInfo) {
		this.gruopInfo = gruopInfo;
	}

	public int getTerminalStationCode() {
		return terminalStationCode;
	}

	public void setTerminalStationCode(int terminalStationCode) {
		this.terminalStationCode = terminalStationCode;
	}

	public String getDetailAddress() {
		return detailAddress;
	}

	public void setDetailAddress(String detailAddress) {
		this.detailAddress = detailAddress;
	}

	public String getConsignee() {
		return consignee;
	}

	public void setConsignee(String consignee) {
		this.consignee = consignee;
	}
	public int getOption_mode() {
		return option_mode;
	}
	public void setOption_mode(int option_mode) {
		this.option_mode = option_mode;
	}

	@Override
	public String toString() {
		return "TruckInvoiceBean [id=" + id + ", responsiblePersonId=" + responsiblePersonId + ", truckno=" + truckno
				+ ", drivername=" + drivername + ", driverphone=" + driverphone + ", orderno=" + orderno
				+ ", startingstation=" + startingstation + ", terminalstation=" + terminalstation + ", consigneeId="
				+ consigneeId + ", timestamp=" + timestamp + ", labelMode=" + labelMode + ", status=" + status
				+ ", error_code=" + error_code + ", expand1=" + expand1 + ", expand2=" + expand2 + ", gruopInfo="
				+ gruopInfo + ", terminalStationCode=" + terminalStationCode + ", detailAddress=" + detailAddress
				+ ", consignee=" + consignee + ", option_mode=" + option_mode + "]";
	}
}
